package com.mortals.xhx.module.bussinesscard.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.bussinesscard.model.BussinesscardRecordEntity;
/**
 * 名片访问记录信息查询对象
 *
 * @author zxfei
 * @date 2024-11-21
 */
public class BussinesscardRecordQuery extends BussinesscardRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 名片ID */
    private Long bussinesscardIdStart;

    /** 结束 名片ID */
    private Long bussinesscardIdEnd;

    /** 增加 名片ID */
    private Long bussinesscardIdIncrement;

    /** 名片ID列表 */
    private List <Long> bussinesscardIdList;

    /** 名片ID排除列表 */
    private List <Long> bussinesscardIdNotList;

    /** 开始 查看人id */
    private Long viewIdStart;

    /** 结束 查看人id */
    private Long viewIdEnd;

    /** 增加 查看人id */
    private Long viewIdIncrement;

    /** 查看人id列表 */
    private List <Long> viewIdList;

    /** 查看人id排除列表 */
    private List <Long> viewIdNotList;

    /** 查看人名称 */
    private List<String> viewNameList;

    /** 查看人名称排除列表 */
    private List <String> viewNameNotList;
    /** 开始 累计查看次数 */
    private Integer sumViewsStart;

    /** 结束 累计查看次数 */
    private Integer sumViewsEnd;

    /** 增加 累计查看次数 */
    private Integer sumViewsIncrement;

    /** 累计查看次数列表 */
    private List <Integer> sumViewsList;

    /** 累计查看次数排除列表 */
    private List <Integer> sumViewsNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 最后浏览时间 */
    private String viewTimeStart;

    /** 结束 最后浏览时间 */
    private String viewTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 头像地址 */
    private List<String> photoPathList;

    /** 头像地址排除列表 */
    private List <String> photoPathNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BussinesscardRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BussinesscardRecordQuery> andConditionList;

    public BussinesscardRecordQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 名片ID
     * @return bussinesscardIdStart
     */
    public Long getBussinesscardIdStart(){
        return this.bussinesscardIdStart;
    }

    /**
     * 设置 开始 名片ID
     * @param bussinesscardIdStart
     */
    public void setBussinesscardIdStart(Long bussinesscardIdStart){
        this.bussinesscardIdStart = bussinesscardIdStart;
    }

    /**
     * 获取 结束 名片ID
     * @return $bussinesscardIdEnd
     */
    public Long getBussinesscardIdEnd(){
        return this.bussinesscardIdEnd;
    }

    /**
     * 设置 结束 名片ID
     * @param bussinesscardIdEnd
     */
    public void setBussinesscardIdEnd(Long bussinesscardIdEnd){
        this.bussinesscardIdEnd = bussinesscardIdEnd;
    }

    /**
     * 获取 增加 名片ID
     * @return bussinesscardIdIncrement
     */
    public Long getBussinesscardIdIncrement(){
        return this.bussinesscardIdIncrement;
    }

    /**
     * 设置 增加 名片ID
     * @param bussinesscardIdIncrement
     */
    public void setBussinesscardIdIncrement(Long bussinesscardIdIncrement){
        this.bussinesscardIdIncrement = bussinesscardIdIncrement;
    }

    /**
     * 获取 名片ID
     * @return bussinesscardIdList
     */
    public List<Long> getBussinesscardIdList(){
        return this.bussinesscardIdList;
    }

    /**
     * 设置 名片ID
     * @param bussinesscardIdList
     */
    public void setBussinesscardIdList(List<Long> bussinesscardIdList){
        this.bussinesscardIdList = bussinesscardIdList;
    }

    /**
     * 获取 名片ID
     * @return bussinesscardIdNotList
     */
    public List<Long> getBussinesscardIdNotList(){
        return this.bussinesscardIdNotList;
    }

    /**
     * 设置 名片ID
     * @param bussinesscardIdNotList
     */
    public void setBussinesscardIdNotList(List<Long> bussinesscardIdNotList){
        this.bussinesscardIdNotList = bussinesscardIdNotList;
    }


    /**
     * 获取 开始 查看人id
     * @return viewIdStart
     */
    public Long getViewIdStart(){
        return this.viewIdStart;
    }

    /**
     * 设置 开始 查看人id
     * @param viewIdStart
     */
    public void setViewIdStart(Long viewIdStart){
        this.viewIdStart = viewIdStart;
    }

    /**
     * 获取 结束 查看人id
     * @return $viewIdEnd
     */
    public Long getViewIdEnd(){
        return this.viewIdEnd;
    }

    /**
     * 设置 结束 查看人id
     * @param viewIdEnd
     */
    public void setViewIdEnd(Long viewIdEnd){
        this.viewIdEnd = viewIdEnd;
    }

    /**
     * 获取 增加 查看人id
     * @return viewIdIncrement
     */
    public Long getViewIdIncrement(){
        return this.viewIdIncrement;
    }

    /**
     * 设置 增加 查看人id
     * @param viewIdIncrement
     */
    public void setViewIdIncrement(Long viewIdIncrement){
        this.viewIdIncrement = viewIdIncrement;
    }

    /**
     * 获取 查看人id
     * @return viewIdList
     */
    public List<Long> getViewIdList(){
        return this.viewIdList;
    }

    /**
     * 设置 查看人id
     * @param viewIdList
     */
    public void setViewIdList(List<Long> viewIdList){
        this.viewIdList = viewIdList;
    }

    /**
     * 获取 查看人id
     * @return viewIdNotList
     */
    public List<Long> getViewIdNotList(){
        return this.viewIdNotList;
    }

    /**
     * 设置 查看人id
     * @param viewIdNotList
     */
    public void setViewIdNotList(List<Long> viewIdNotList){
        this.viewIdNotList = viewIdNotList;
    }


    /**
     * 获取 查看人名称
     * @return viewNameList
     */
    public List<String> getViewNameList(){
        return this.viewNameList;
    }

    /**
     * 设置 查看人名称
     * @param viewNameList
     */
    public void setViewNameList(List<String> viewNameList){
        this.viewNameList = viewNameList;
    }

    /**
     * 获取 查看人名称
     * @return viewNameNotList
     */
    public List<String> getViewNameNotList(){
        return this.viewNameNotList;
    }

    /**
     * 设置 查看人名称
     * @param viewNameNotList
     */
    public void setViewNameNotList(List<String> viewNameNotList){
        this.viewNameNotList = viewNameNotList;
    }

    /**
     * 获取 开始 累计查看次数
     * @return sumViewsStart
     */
    public Integer getSumViewsStart(){
        return this.sumViewsStart;
    }

    /**
     * 设置 开始 累计查看次数
     * @param sumViewsStart
     */
    public void setSumViewsStart(Integer sumViewsStart){
        this.sumViewsStart = sumViewsStart;
    }

    /**
     * 获取 结束 累计查看次数
     * @return $sumViewsEnd
     */
    public Integer getSumViewsEnd(){
        return this.sumViewsEnd;
    }

    /**
     * 设置 结束 累计查看次数
     * @param sumViewsEnd
     */
    public void setSumViewsEnd(Integer sumViewsEnd){
        this.sumViewsEnd = sumViewsEnd;
    }

    /**
     * 获取 增加 累计查看次数
     * @return sumViewsIncrement
     */
    public Integer getSumViewsIncrement(){
        return this.sumViewsIncrement;
    }

    /**
     * 设置 增加 累计查看次数
     * @param sumViewsIncrement
     */
    public void setSumViewsIncrement(Integer sumViewsIncrement){
        this.sumViewsIncrement = sumViewsIncrement;
    }

    /**
     * 获取 累计查看次数
     * @return sumViewsList
     */
    public List<Integer> getSumViewsList(){
        return this.sumViewsList;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsList
     */
    public void setSumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
    }

    /**
     * 获取 累计查看次数
     * @return sumViewsNotList
     */
    public List<Integer> getSumViewsNotList(){
        return this.sumViewsNotList;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsNotList
     */
    public void setSumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 最后浏览时间
     * @return viewTimeStart
     */
    public String getViewTimeStart(){
        return this.viewTimeStart;
    }

    /**
     * 设置 开始 最后浏览时间
     * @param viewTimeStart
     */
    public void setViewTimeStart(String viewTimeStart){
        this.viewTimeStart = viewTimeStart;
    }

    /**
     * 获取 结束 最后浏览时间
     * @return viewTimeEnd
     */
    public String getViewTimeEnd(){
        return this.viewTimeEnd;
    }

    /**
     * 设置 结束 最后浏览时间
     * @param viewTimeEnd
     */
    public void setViewTimeEnd(String viewTimeEnd){
        this.viewTimeEnd = viewTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 头像地址
     * @return photoPathList
     */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
     * 设置 头像地址
     * @param photoPathList
     */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
     * 获取 头像地址
     * @return photoPathNotList
     */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
     * 设置 头像地址
     * @param photoPathNotList
     */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public BussinesscardRecordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public BussinesscardRecordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public BussinesscardRecordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public BussinesscardRecordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public BussinesscardRecordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public BussinesscardRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  名片ID
     * @param bussinesscardId
     */
    public BussinesscardRecordQuery bussinesscardId(Long bussinesscardId){
        setBussinesscardId(bussinesscardId);
        return this;
    }

    /**
     * 设置 开始 名片ID
     * @param bussinesscardIdStart
     */
    public BussinesscardRecordQuery bussinesscardIdStart(Long bussinesscardIdStart){
        this.bussinesscardIdStart = bussinesscardIdStart;
        return this;
    }

    /**
     * 设置 结束 名片ID
     * @param bussinesscardIdEnd
     */
    public BussinesscardRecordQuery bussinesscardIdEnd(Long bussinesscardIdEnd){
        this.bussinesscardIdEnd = bussinesscardIdEnd;
        return this;
    }

    /**
     * 设置 增加 名片ID
     * @param bussinesscardIdIncrement
     */
    public BussinesscardRecordQuery bussinesscardIdIncrement(Long bussinesscardIdIncrement){
        this.bussinesscardIdIncrement = bussinesscardIdIncrement;
        return this;
    }

    /**
     * 设置 名片ID
     * @param bussinesscardIdList
     */
    public BussinesscardRecordQuery bussinesscardIdList(List<Long> bussinesscardIdList){
        this.bussinesscardIdList = bussinesscardIdList;
        return this;
    }

    /**
     * 设置 名片ID
     * @param bussinesscardIdNotList
     */
    public BussinesscardRecordQuery bussinesscardIdNotList(List<Long> bussinesscardIdNotList){
        this.bussinesscardIdNotList = bussinesscardIdNotList;
        return this;
    }

    /**
     * 设置  查看人id
     * @param viewId
     */
    public BussinesscardRecordQuery viewId(Long viewId){
        setViewId(viewId);
        return this;
    }

    /**
     * 设置 开始 查看人id
     * @param viewIdStart
     */
    public BussinesscardRecordQuery viewIdStart(Long viewIdStart){
        this.viewIdStart = viewIdStart;
        return this;
    }

    /**
     * 设置 结束 查看人id
     * @param viewIdEnd
     */
    public BussinesscardRecordQuery viewIdEnd(Long viewIdEnd){
        this.viewIdEnd = viewIdEnd;
        return this;
    }

    /**
     * 设置 增加 查看人id
     * @param viewIdIncrement
     */
    public BussinesscardRecordQuery viewIdIncrement(Long viewIdIncrement){
        this.viewIdIncrement = viewIdIncrement;
        return this;
    }

    /**
     * 设置 查看人id
     * @param viewIdList
     */
    public BussinesscardRecordQuery viewIdList(List<Long> viewIdList){
        this.viewIdList = viewIdList;
        return this;
    }

    /**
     * 设置 查看人id
     * @param viewIdNotList
     */
    public BussinesscardRecordQuery viewIdNotList(List<Long> viewIdNotList){
        this.viewIdNotList = viewIdNotList;
        return this;
    }


    /**
     * 设置 查看人名称
     * @param viewName
     */
    public BussinesscardRecordQuery viewName(String viewName){
        setViewName(viewName);
        return this;
    }

    /**
     * 设置 查看人名称
     * @param viewNameList
     */
    public BussinesscardRecordQuery viewNameList(List<String> viewNameList){
        this.viewNameList = viewNameList;
        return this;
    }

    /**
     * 设置  累计查看次数
     * @param sumViews
     */
    public BussinesscardRecordQuery sumViews(Integer sumViews){
        setSumViews(sumViews);
        return this;
    }

    /**
     * 设置 开始 累计查看次数
     * @param sumViewsStart
     */
    public BussinesscardRecordQuery sumViewsStart(Integer sumViewsStart){
        this.sumViewsStart = sumViewsStart;
        return this;
    }

    /**
     * 设置 结束 累计查看次数
     * @param sumViewsEnd
     */
    public BussinesscardRecordQuery sumViewsEnd(Integer sumViewsEnd){
        this.sumViewsEnd = sumViewsEnd;
        return this;
    }

    /**
     * 设置 增加 累计查看次数
     * @param sumViewsIncrement
     */
    public BussinesscardRecordQuery sumViewsIncrement(Integer sumViewsIncrement){
        this.sumViewsIncrement = sumViewsIncrement;
        return this;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsList
     */
    public BussinesscardRecordQuery sumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
        return this;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsNotList
     */
    public BussinesscardRecordQuery sumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public BussinesscardRecordQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public BussinesscardRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public BussinesscardRecordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public BussinesscardRecordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public BussinesscardRecordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public BussinesscardRecordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public BussinesscardRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public BussinesscardRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public BussinesscardRecordQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public BussinesscardRecordQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public BussinesscardRecordQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public BussinesscardRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public BussinesscardRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public BussinesscardRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 头像地址
     * @param photoPath
     */
    public BussinesscardRecordQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
        return this;
    }

    /**
     * 设置 头像地址
     * @param photoPathList
     */
    public BussinesscardRecordQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<BussinesscardRecordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<BussinesscardRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<BussinesscardRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<BussinesscardRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}